Gnome2::VFS::VolumeMonitor(3)

NAME
Gnome2::VFS::VolumeMonitor - wrapper for GnomeVFSVolumeMonitor

HIERARCHY
  Glib::Object
  +----Gnome2::VFS::VolumeMonitor

METHODS

  list = $volume_monitor->get_connected_drives

  drive = $volume_monitor->get_drive_by_id ($id)

•   $id (unsigned)

  list = $volume_monitor->get_mounted_volumes

  volume = $volume_monitor->get_volume_by_id ($id)

•   $id (unsigned)

  volume = $volume_monitor->get_volume_for_path ($path)

•   $path (string)

  volumemonitor = Gnome2::VFS->get_volume_monitor

SIGNALS

drive-connected (Gnome2::VFS::VolumeMonitor, Gnome2::VFS::Drive)
drive-disconnected (Gnome2::VFS::VolumeMonitor, Gnome2::VFS::Drive)
volume-mounted (Gnome2::VFS::VolumeMonitor, Gnome2::VFS::Volume)
volume-pre-unmount (Gnome2::VFS::VolumeMonitor, Gnome2::VFS::Volume)
volume-unmounted (Gnome2::VFS::VolumeMonitor, Gnome2::VFS::Volume)

SEE ALSO
Gnome2::VFS, Glib::Object

COPYRIGHT
Copyright (C) 2003-2007, 2013 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2::VFS for a full notice.